## libosmo-abis 0.3.2+20151106git86fc3c8

=== debian/changelog ===
libosmo-abis (0.3.2+20151106git86fc3c8-3) unstable; urgency=medium

  * debian/control: add myself to uploaders
  * debian/control: move package to debian-mobcom and change URLs
  * debian/control: change maintainer to debian-mobcom-maintainers
  * debian/control: use dh10
  * debian/control: bump standard to 4.1.0 (no changes)
  * debian/control: remove dbg package
  * debian/control: remove redundant dependency of dh-autoreconf

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 11 Sep 2017 19:52:59 +0200

libosmo-abis (0.3.2+20151106git86fc3c8-2) unstable; urgency=medium

  * debian/control:
    - Fixed Vcs-Git url
    - Ran "cme fix dpkg-control"
      - Standards to 3.9.7 - no needed changes

 -- Ruben Undheim <ruben.undheim@gmail.com>  Wed, 10 Feb 2016 19:46:52 +0100

libosmo-abis (0.3.2+20151106git86fc3c8-1) unstable; urgency=low

  * Initial release (Closes: #806582)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 13 Dec 2015 10:25:30 +0100
