=== debian/watch ===
version=3
https://github.com/osmocom/libosmo-abis/releases /osmocom/libosmo-abis/archive/(\d\S+)\.tar\.(?:bz2|gz|xz)
