## libosmo-abis 0.3.3.20170826

=== debian/changelog ===
libosmo-abis (0.3.3.20170826) UNRELEASED; urgency=medium

  * Move forward towards a new release.
  * Snapshot build

 -- Holger Hans Peter Freyther <holger@moiji-mobile.com>  Sat, 26 Aug 2017 04:44:41 +0200
