## libosmo-abis 0.4.0

=== debian/changelog ===
libosmo-abis (0.4.0-2) unstable; urgency=medium

  * move to unstable
  * debian/control: bump standard to 4.1.4 (no changes)
  * debian/control: add salsa URLs
  * debian/control: use dh11

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 09 Apr 2018 18:55:37 +0100

libosmo-abis (0.4.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control: SONAME bump of libosmoabis6 and libosmotrau2
  * debian/control: bump standard to 4.1.1 (no changes)
  * update symbols files
  * add spelling patch

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 28 Nov 2017 18:55:37 +0100
