=== debian/control ===
--- 
+++ 
@@ -4,17 +4,18 @@
 	, Thorsten Alteholz <debian@alteholz.de>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                libdpkg-perl,
-               libosmocore-dev,
+               libosmocore-dev (>= 0.9.1),
+               libtalloc-dev,
                pkg-config,
                libortp-dev
-Standards-Version: 4.1.0
+Standards-Version: 4.1.4
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-mobcom/libosmo-abis.git
 Vcs-Git: https://anonscm.debian.org/git/debian-mobcom/libosmo-abis.git
 Homepage: http://openbsc.osmocom.org/trac/wiki/libosmo-abis
 
-Package: libosmoabis5
+Package: libosmoabis6
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -26,7 +27,7 @@
  It also implements drivers for mISDN and DAHDI based E1 cards, as well as some
  A-bis/IP dialects.
 
-Package: libosmotrau1
+Package: libosmotrau2
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -43,8 +44,8 @@
 Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends},
-         libosmotrau1 (= ${binary:Version}),
-         libosmoabis5 (= ${binary:Version})
+         libosmotrau2 (= ${binary:Version}),
+         libosmoabis6 (= ${binary:Version})
 Description: Development headers for A-bis interface
  The libosmo-abis library contains common/shared code regarding the A-bis
  interface between GSM BTS and BSC. This package in particular contains the
@@ -56,8 +57,8 @@
 #Multi-Arch: same
 #Section: debug
 #Priority: extra
-#Depends: libosmoabis5 (= ${binary:Version}),
-#         libosmotrau1 (= ${binary:Version}),
+#Depends: libosmoabis6 (= ${binary:Version}),
+#         libosmotrau2 (= ${binary:Version}),
 #         ${misc:Depends}
 #Description: Debug symbols for A-bis interface
 # The libosmo-abis library contains common/shared code regarding the A-bis
