## libosmo-abis 0.5.1

=== debian/changelog ===
libosmo-abis (0.5.1-1build1) disco; urgency=medium

  * No-change rebuild against latest ortp

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 25 Nov 2018 08:34:08 -0500

libosmo-abis (0.5.1-1) unstable; urgency=low

  * Upload to unstable

 -- Ruben Undheim <ruben.undheim@gmail.com>  Mon, 05 Nov 2018 21:37:03 +0100

libosmo-abis (0.5.1-1~exp1) experimental; urgency=medium

  * New upstream release
    - Refreshed patches
  * debian/control:
    - New standards version 4.2.1 - no changes

 -- Ruben Undheim <ruben.undheim@gmail.com>  Wed, 29 Aug 2018 08:41:41 +0200

libosmo-abis (0.5.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control: really add salsa URLs now

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 16 May 2018 18:27:01 +0200
