## libosmo-abis 0.8.0.15.ef1f

=== debian/changelog ===
libosmo-abis (0.8.0.15.ef1f) UNRELEASED; urgency=medium

  * Snapshot build

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Mon, 10 Feb 2020 01:28:08 +0000
