=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
 Package: libosmo-abis
 Section: oldlibs
 Architecture: any
-Depends: osmocom-latest, libosmoabis6 (= ${binary:Version}), libosmotrau2 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly, libosmoabis6 (= ${binary:Version}), libosmotrau2 (= ${binary:Version}), ${misc:Depends}
 Multi-Arch: same
 Description: Legacy package for libosmo-abis
  libosmo-abis is an empty package helping in the transition to one
@@ -36,7 +36,7 @@
 # Once major is increased to 7, following two lines below can be dropped:
 Conflicts: libosmoabis5
 Replaces: libosmoabis5
-Depends: osmocom-latest, ${shlibs:Depends},
+Depends: osmocom-nightly, ${shlibs:Depends},
          ${misc:Depends}
 Description: GSM A-bis handling
  This library contains common/shared code regarding the A-bis interface between
@@ -49,7 +49,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-latest, ${shlibs:Depends},
+Depends: osmocom-nightly, ${shlibs:Depends},
          ${misc:Depends}
 Description: GSM trau handling
  This library implements the Transcoder and Rate Adaptation Unit (TRAU) for
@@ -62,7 +62,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: osmocom-latest, ${misc:Depends},
+Depends: osmocom-nightly, ${misc:Depends},
          libosmotrau2 (= ${binary:Version}),
          libosmoabis6 (= ${binary:Version})
 Description: Development headers for A-bis interface
@@ -76,7 +76,7 @@
 Multi-Arch: same
 Section: debug
 Priority: extra
-Depends: osmocom-latest, libosmoabis6 (= ${binary:Version}),
+Depends: osmocom-nightly, libosmoabis6 (= ${binary:Version}),
          libosmotrau2 (= ${binary:Version}),
          ${misc:Depends}
 Description: Debug symbols for A-bis interface
