## libosmo-abis 1.0.1

=== debian/changelog ===
libosmo-abis (1.0.1-2) unstable; urgency=medium

  * upload to unstable

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 08 Dec 2020 18:06:23 +0100

libosmo-abis (1.0.1-1) experimental; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.5.0 (no changes)
  * debian/control: use dh12
  * debian/control: depend on libosmocore >=1.4.0
  * debian/control: depend on dahdi-source
  * debian/control: take care of soname change
  * add Build-Depends-Package: to symbols files

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 15 Aug 2020 15:06:23 +0000
