=== debian/control ===
Source: libosmo-abis
Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
	, Thorsten Alteholz <debian@alteholz.de>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libdpkg-perl,
               libosmocore-dev (>= 1.4.0),
               libtalloc-dev,
               pkg-config,
               libortp-dev,
               dahdi-source
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/libosmo-abis
Vcs-Git: https://salsa.debian.org/debian-mobcom-team/libosmo-abis.git
Homepage: http://openbsc.osmocom.org/trac/wiki/libosmo-abis

Package: libosmoabis9
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: GSM A-bis handling
 This library contains common/shared code regarding the A-bis interface between
 the GSM Base transceiver station (BTS) and the GSM Base station controller BSC.
 .
 It also implements drivers for mISDN and DAHDI based E1 cards, as well as some
 A-bis/IP dialects.

Package: libosmotrau2
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: GSM trau handling
 This library implements the Transcoder and Rate Adaptation Unit (TRAU) for
 GSM systems. It is closely related to the libosmo-abis library.
 .
 TRAU performs transcoding function for speech channels and rate adaptation (RA)
 for data channels in the GSM network.

Package: libosmo-abis-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libosmotrau2 (= ${binary:Version}),
         libosmoabis9 (= ${binary:Version})
Description: Development headers for A-bis interface
 The libosmo-abis library contains common/shared code regarding the A-bis
 interface between GSM BTS and BSC. This package in particular contains the
 development files needed to develop with the libosmoabis and libosmotrau
 libraries.
