=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                dh-autoreconf,
                libdpkg-perl,
                git,
-               libosmocore-dev (>= 1.5.0),
+               libosmocore-dev (>= 1.6.0),
                pkg-config,
                libortp-dev
 Standards-Version: 3.9.7
