## libosmo-abis 1.3.0

=== debian/changelog ===
libosmo-abis (1.3.0-2.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:26:21 +0000

libosmo-abis (1.3.0-2.1build1) noble; urgency=medium

  * No-change rebuild against libosmocore19t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 17 Mar 2024 08:50:08 +0000

libosmo-abis (1.3.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062557

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 16:07:35 +0000

libosmo-abis (1.3.0-2) unstable; urgency=medium

  * upload to unstable

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 10 Oct 2022 18:10:46 +0200

libosmo-abis (1.3.0-1) experimental; urgency=medium

  * New upstream release.
  * update patch with version setting
  * update symbols files
  * debian/control: add libsctp-dev as dependency

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 02 Oct 2022 13:24:14 +0200

libosmo-abis (1.2.0-3) unstable; urgency=medium

  * upload to unstable

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 15 Mar 2022 18:10:46 +0100

libosmo-abis (1.2.0-2) experimental; urgency=medium

  * update patch with version setting

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 09 Mar 2022 20:10:46 +0100

libosmo-abis (1.2.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.6.0 (no changes)
  * update symbols files

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 06 Mar 2022 18:45:46 +0000

libosmo-abis (1.1.1-1) experimental; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.5.1 (no changes)
  * debian/control: use dh13
  * debian/*.symbols: update symbols files

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 15 Aug 2021 20:35:11 +0000
