=== debian/watch ===
version=4
opts="mode=git, dversionmangle=s/\+ds//" git://git.osmocom.org/libosmo-abis refs/tags/([\d\.]+) debian uupdate
