## libosmo-abis 1.4.1

=== debian/changelog ===
libosmo-abis (1.4.1) unstable; urgency=medium

  [ Oliver Smith ]
  * Run struct_endianness.py

  [ Vadim Yanitskiy ]
  * fix use-after-free in ipaccess_bts_keepalive_fsm_alloc()

 -- Vadim Yanitskiy <vyanitskiy@sysmocom.de>  Mon, 08 May 2023 22:54:31 +0700
